package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.biz.RequestParticipantDocument;

public interface RequestParticipantDocumentDAO {

	void save(RequestParticipantDocument document);
	void delete(RequestParticipantDocument document);
	List<RequestParticipantDocument> listByRequestId(final int requestId);
	List<RequestParticipantDocument> listByDocumentId(final int documentId);
	List<RequestParticipantDocument> listByRequestAndParticipantId(final int requestId, final int participantId);
	List<RequestParticipantDocument> listActiveDocsByRequestAndParticipantId(final int requestId, final int participantId);
}
